Package wx :: Package lib :: Package agw :: Module supertooltip :: Class SuperToolTip

[frames | no frames]

## Type SuperToolTip

    object --+
             |
            SuperToolTip

The main class for L{SuperToolTip}, which holds all the methods and setters/getters available to the user.

Method Summary
| ``__init__`(self, message, bodyImage, header, headerBmp, footer, footerBmp)` Default class constructor.
| ``ApplyStyle`(self, style)` Applies none of the predefined styles.
| ``EnableTip`(self, enable)` Globally (application-wide) enables/disables L{SuperToolTip}.
| ``GetBodyImage`(self)` Returns the main body bitmap used in L{SuperToolTip}.
| ``GetBottomGradientColor`(self)` Returns the bottom gradient colour.
| ``GetBottomGradientColour`(self)` Returns the bottom gradient colour.
| ``GetDrawFooterLine`(self)` Returns whether the separator line before the footer is drawn or not.
| ``GetDrawHeaderLine`(self)` Returns whether the separator line after the header is drawn or not.
| ``GetDropShadow`(self)` Returns whether a shadow below L{SuperToolTip} is drawn or not.
| ``GetEndDelay`(self)` Returns the delay time (in seconds) after which the L{SuperToolTip} is destroyed.
| ``GetFooter`(self)` Returns the footer text.
| ``GetFooterBitmap`(self)` Returns the footer bitmap.
| ``GetFooterFont`(self)` Returns the font used for the footer text.
| ``GetHeader`(self)` Returns the header text.
| ``GetHeaderBitmap`(self)` Returns the header bitmap.
| ``GetHeaderFont`(self)` Returns the font used for the header text.
| ``GetHyperlinkFont`(self)` Returns the font used for the hyperlink text.
| ``GetMessage`(self)` Returns the main body message in L{SuperToolTip}.
| ``GetMessageFont`(self)` Returns the font used in the main body message.
| ``GetMiddleGradientColor`(self)` Returns the middle gradient colour.
| ``GetMiddleGradientColour`(self)` Returns the middle gradient colour.
| ``GetStartDelay`(self)` Returns the tim delay (in seconds) after which the L{SuperToolTip} is created.
| ``GetTarget`(self)` Returns the target window for L{SuperToolTip}.
| ``GetTextColor`(self)` Returns the text colour.
| ``GetTextColour`(self)` Returns the text colour.
| ``GetTopGradientColor`(self)` Returns the top gradient colour.
| ``GetTopGradientColour`(self)` Returns the top gradient colour.
| ``GetUseFade`(self)` Returns whether a fade in/fade out effect is used or not.
| ``InitFont`(self)` Initalizes the fonts for L{SuperToolTip}.
| ``OnDestroy`(self, event)` Handles the L{SuperToolTip} target destruction.
| ``OnEndTimer`(self)` The show time for L{SuperToolTip} has expired, destroy the L{SuperToolTip}.
| ``OnStartTimer`(self)` The creation time has expired, create the L{SuperToolTip}.
| ``OnWidgetEnter`(self, event)` Starts the L{SuperToolTip} timer for creation, handles the wx.EVT_ENTER_WINDOW event.
| ``OnWidgetLeave`(self, event)` Handles the wx.EVT_LEAVE_WINDOW for the target widgets.
| ``SetBodyImage`(self, bmp)` Sets the main body bitmap for L{SuperToolTip}.
| ``SetBottomGradientColor`(self, colour)` Sets the bottom gradient colour for L{SuperToolTip}.
| ``SetBottomGradientColour`(self, colour)` Sets the bottom gradient colour for L{SuperToolTip}.
| ``SetDrawFooterLine`(self, draw)` Whether to draw a separator line before the footer or not.
| ``SetDrawHeaderLine`(self, draw)` Whether to draw a separator line after the header or not.
| ``SetDropShadow`(self, drop)` Whether to draw a shadow below L{SuperToolTip} or not.
| ``SetEndDelay`(self, delay)` Sets the delay time (in seconds) after which the L{SuperToolTip} is destroyed.
| ``SetFooter`(self, footer)` Sets the footer text.
| ``SetFooterBitmap`(self, bmp)` Sets the footer bitmap for L{SuperToolTip}.
| ``SetFooterFont`(self, font)` Sets the font for the footer text.
| ``SetHeader`(self, header)` Sets the header text.
| ``SetHeaderBitmap`(self, bmp)` Sets the header bitmap for L{SuperToolTip}.
| ``SetHeaderFont`(self, font)` Sets the font for the header text.
| ``SetHyperlinkFont`(self, font)` Sets the font for the hyperlink text.
| ``SetMessage`(self, message)` Sets the main body message for L{SuperToolTip}.
| ``SetMessageFont`(self, font)` Sets the font for the main body message.
| ``SetMiddleGradientColor`(self, colour)` Sets the middle gradient colour for L{SuperToolTip}.
| ``SetMiddleGradientColour`(self, colour)` Sets the middle gradient colour for L{SuperToolTip}.
| ``SetStartDelay`(self, delay)` Sets the time delay (in seconds) after which the L{SuperToolTip} is created.
| ``SetTarget`(self, widget)` Sets the target window for L{SuperToolTip}.
| ``SetTextColor`(self, colour)` Sets the text colour for L{SuperToolTip}.
| ``SetTextColour`(self, colour)` Sets the text colour for L{SuperToolTip}.
| ``SetTopGradientColor`(self, colour)` Sets the top gradient colour for L{SuperToolTip}.
| ``SetTopGradientColour`(self, colour)` Sets the top gradient colour for L{SuperToolTip}.
| ``SetUseFade`(self, fade)` Whether to use a fade in/fade out effect or not.

Method Details

### __init__(self, message, bodyImage=<wx._gdi.Bitmap; proxy of <Swig Object of type 'wxBitmap ..., header='', headerBmp=<wx._gdi.Bitmap; proxy of <Swig Object of type 'wxBitmap ..., footer='', footerBmp=<wx._gdi.Bitmap; proxy of <Swig Object of type 'wxBitmap ...)
(Constructor)

Default class constructor.

@param message: the main message in L{SuperToolTip} body; @param bodyImage: the image in the L{SuperToolTip} body; @param header: the header text; @param headerBmp: the header bitmap; @param footer: the footer text; @param footerBmp: the footer bitmap.

  Overrides:
    `__builtin__.object.__init__`

### ApplyStyle(self, style)

Applies none of the predefined styles.

@param style: one of the predefined styles available at the
  beginning of the module.

### EnableTip(self, enable=True)

Globally (application-wide) enables/disables L{SuperToolTip}.

@param enable: whether to enable or disable L{SuperToolTip}.

### GetBodyImage(self)

Returns the main body bitmap used in L{SuperToolTip}.

### GetBottomGradientColor(self)

Returns the bottom gradient colour.

### GetBottomGradientColour(self)

Returns the bottom gradient colour.

### GetDrawFooterLine(self)

Returns whether the separator line before the footer is drawn or not.

### GetDrawHeaderLine(self)

Returns whether the separator line after the header is drawn or not.

### GetDropShadow(self)

Returns whether a shadow below L{SuperToolTip} is drawn or not.

@note: this functionality is available only in Windows XP
  with Mark Hammond win32all extensions installed.

### GetEndDelay(self)

Returns the delay time (in seconds) after which the L{SuperToolTip} is destroyed.

### GetFooter(self)

Returns the footer text.

### GetFooterBitmap(self)

Returns the footer bitmap.

### GetFooterFont(self)

Returns the font used for the footer text.

### GetHeader(self)

Returns the header text.

### GetHeaderBitmap(self)

Returns the header bitmap.

### GetHeaderFont(self)

Returns the font used for the header text.

### GetHyperlinkFont(self)

Returns the font used for the hyperlink text.

### GetMessage(self)

Returns the main body message in L{SuperToolTip}.

### GetMessageFont(self)

Returns the font used in the main body message.

### GetMiddleGradientColor(self)

Returns the middle gradient colour.

### GetMiddleGradientColour(self)

Returns the middle gradient colour.

### GetStartDelay(self)

Returns the tim delay (in seconds) after which the L{SuperToolTip} is created.

### GetTarget(self)

Returns the target window for L{SuperToolTip}.

### GetTextColor(self)

Returns the text colour.

### GetTextColour(self)

Returns the text colour.

### GetTopGradientColor(self)

Returns the top gradient colour.

### GetTopGradientColour(self)

Returns the top gradient colour.

### GetUseFade(self)

Returns whether a fade in/fade out effect is used or not.

@note: this functionality is available only in Windows XP
  with Mark Hammond win32all extensions installed.

### InitFont(self)

Initalizes the fonts for L{SuperToolTip}.

### OnDestroy(self, event)

Handles the L{SuperToolTip} target destruction.

### OnEndTimer(self)

The show time for L{SuperToolTip} has expired, destroy the L{SuperToolTip}.

### OnStartTimer(self)

The creation time has expired, create the L{SuperToolTip}.

### OnWidgetEnter(self, event)

Starts the L{SuperToolTip} timer for creation, handles the wx.EVT_ENTER_WINDOW event.

### OnWidgetLeave(self, event)

Handles the wx.EVT_LEAVE_WINDOW for the target widgets.

### SetBodyImage(self, bmp)

Sets the main body bitmap for L{SuperToolTip}.

@param bmp: the bitmap to use.

### SetBottomGradientColor(self, colour)

Sets the bottom gradient colour for L{SuperToolTip}.

@param colour: the colour to use as bottom colour.

### SetBottomGradientColour(self, colour)

Sets the bottom gradient colour for L{SuperToolTip}.

@param colour: the colour to use as bottom colour.

### SetDrawFooterLine(self, draw)

Whether to draw a separator line before the footer or not.

@param draw: bool value.

### SetDrawHeaderLine(self, draw)

Whether to draw a separator line after the header or not.

@param draw: bool value.

### SetDropShadow(self, drop)

    Whether to draw a shadow below L{SuperToolTip} or not.

    @param drop: boolean value.
    @note: this functionality is available only in Windows XP
           with Mark Hammond win32all extensions installed.

### SetEndDelay(self, delay=1000000.0)

Sets the delay time (in seconds) after which the L{SuperToolTip} is destroyed.

@param delay: the delay in seconds.

### SetFooter(self, footer)

Sets the footer text.

@param footer: the footer text to display.

### SetFooterBitmap(self, bmp)

Sets the footer bitmap for L{SuperToolTip}.

@param bmp: the bitmap to use.

### SetFooterFont(self, font)

Sets the font for the footer text.

@param font: the font to use for the footer text.

### SetHeader(self, header)

Sets the header text.

@param header: the header text to display.

### SetHeaderBitmap(self, bmp)

Sets the header bitmap for L{SuperToolTip}.

@param bmp: the bitmap to use.

### SetHeaderFont(self, font)

Sets the font for the header text.

@param font: the font to use for the header text.

### SetHyperlinkFont(self, font)

Sets the font for the hyperlink text.

@param font: the font to use for the hyperlink text.

### SetMessage(self, message)

Sets the main body message for L{SuperToolTip}.

@param message: the message to display in the body.

### SetMessageFont(self, font)

Sets the font for the main body message.

@param font: the font to use for the main body message.

### SetMiddleGradientColor(self, colour)

Sets the middle gradient colour for L{SuperToolTip}.

@param colour: the colour to use as middle colour.

### SetMiddleGradientColour(self, colour)

Sets the middle gradient colour for L{SuperToolTip}.

@param colour: the colour to use as middle colour.

### SetStartDelay(self, delay=1)

Sets the time delay (in seconds) after which the L{SuperToolTip} is created.

@param delay: the delay in seconds.

### SetTarget(self, widget)

Sets the target window for L{SuperToolTip}.

@param widget: the widget to which L{SuperToolTip} is associated.

### SetTextColor(self, colour)

Sets the text colour for L{SuperToolTip}.

@param colour: the colour to use as text colour.

### SetTextColour(self, colour)

Sets the text colour for L{SuperToolTip}.

@param colour: the colour to use as text colour.

### SetTopGradientColor(self, colour)

Sets the top gradient colour for L{SuperToolTip}.

@param colour: the colour to use as top colour.

### SetTopGradientColour(self, colour)

Sets the top gradient colour for L{SuperToolTip}.

@param colour: the colour to use as top colour.

### SetUseFade(self, fade)

    Whether to use a fade in/fade out effect or not.

    @param fade: boolean value.
    @note: this functionality is available only in Windows XP
           with Mark Hammond win32all extensions installed.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:24 2009 | http://epydoc.sf.net